"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
function validateStoreInstance(store) {
    return store && typeof store.getState === 'function';
}
function activateStore(store) {
    if (!validateStoreInstance(store))
        return false;
    exports.activeStore = store;
    return true;
}
exports.activateStore = activateStore;
function deactivateStore(store) {
    exports.activeStore = undefined;
    return true;
}
exports.deactivateStore = deactivateStore;
function getActiveStore() {
    return exports.activeStore;
}
exports.getActiveStore = getActiveStore;
